%define oname   minitest

Name:       ruby-%{oname}
Version:    5.8.4
Release:    %mkrel 1
Summary:    A complete suite of testing facilities
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/seattlerb/minitest
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
minitest provides a complete suite of testing facilities supporting
TDD, BDD, mocking, and benchmarking. minitest/unit is a small and
incredibly fast unit testing framework. It provides a rich set of
assertions to make your tests clean and readable. minitest/spec is a
functionally complete spec engine. It hooks onto minitest/unit and
seamlessly bridges test assertions over to spec expectations.
minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner. Now you can assert that your newb
co-worker doesn't replace your linear algorithm with an exponential
one. minitest/mock by Steven Baker, is a beautifully tiny mock object
framework. minitest/pride shows pride in testing and adds coloring to your
test output. minitest/unit is meant to have a clean implementation for
language implementors that need a minimal set of methods to bootstrap a
working test suite. For example, there is no magic involved for test-case
discovery.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/minitest/spec.rb

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.rdoc README.rdoc Manifest.txt


%changelog
* Mon Jan 25 2016 pterjan <pterjan> 5.8.4-1.mga6
+ Revision: 927517
- Update to 5.8.4

* Tue Jan 05 2016 pterjan <pterjan> 5.8.3-1.mga6
+ Revision: 919730
- Update to 5.8.3

* Sun Nov 01 2015 pterjan <pterjan> 5.8.2-1.mga6
+ Revision: 897201
- Update to 5.8.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.4-3.mga5
+ Revision: 739555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.4-2.mga5
+ Revision: 688869
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 5.3.4-1.mga5
+ Revision: 626922
- 5.3.4

* Sat Dec 28 2013 pterjan <pterjan> 5.0.6-5.mga4
+ Revision: 562013
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 5.0.6-4.mga4
+ Revision: 561406
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 5.0.6-3.mga4
+ Revision: 535636
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 5.0.6-2.mga4
+ Revision: 482202
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 5.0.6-1.mga4
+ Revision: 480109
- 5.0.6

* Sun Sep 15 2013 pterjan <pterjan> 5.0.4-2.mga4
+ Revision: 479028
- Fix file list
- Use gem_setup

* Sun Jun 09 2013 fwang <fwang> 5.0.4-1.mga4
+ Revision: 441130
- new version 5.0.4

* Thu Jun 06 2013 pterjan <pterjan> 5.0.3-1.mga4
+ Revision: 438238
- Update to 5.0.3

* Fri Feb 08 2013 umeabot <umeabot> 4.2.0-3.mga3
+ Revision: 396159
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 381120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 shlomif <shlomif> 4.2.0-1.mga3
+ Revision: 316751
- New version 4.2.0

* Thu Nov 01 2012 fwang <fwang> 3.3.0-2.mga3
+ Revision: 311953
- rebuild for new ruby
- cleanup spec

* Sat Aug 11 2012 shlomif <shlomif> 3.3.0-1.mga3
+ Revision: 280666
- New version 3.3.0 + removed trailing space from the .spec.

  + solbu <solbu>
    - Fix unpackaged files
    - Fix to long description
    - New version
    - Spec cleanup

* Wed Apr 13 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 84707
- new version 2.1.0

* Sat Jan 29 2011 shikamaru <shikamaru> 2.0.2-1.mga1
+ Revision: 43468
- New version 2.0.2
- update summary according to upstream

* Fri Jan 28 2011 shikamaru <shikamaru> 2.0.0-1.mga1
+ Revision: 42996
- New version 2.0.0
- add BR
- fix group for doc subpackage
- update description from upstream
- remove useless BuildArch

* Tue Jan 25 2011 shikamaru <shikamaru> 1.7.1-5.mga1
+ Revision: 39598
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.7.1-4.mga1
+ Revision: 34685
- add check section

* Sun Jan 23 2011 shikamaru <shikamaru> 1.7.1-3.mga1
+ Revision: 34652
- imported package ruby-minitest


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@mandriva.org> - 1.7.1-3mdv2011.0
- Apply new ruby policies

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.7.1-2mdv2011.0
+ Revision: 618332
- add necessary provides

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.7.1-1mdv2011.0
+ Revision: 579406
- new release: 1.7.1

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.0-1mdv2010.1
+ Revision: 500539
- import rubygem-minitest


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.0-1
- initial release
